[gcc r15-1667] libstdc++: Add script to update docs for a new release branch
Jonathan Wakely
redi@gcc.gnu.org
Wed Jun 26 20:26:21 GMT 2024
https://gcc.gnu.org/g:0731985920cdeeeb028f03ddb8a7f035565c1594
commit r15-1667-g0731985920cdeeeb028f03ddb8a7f035565c1594
Author: Jonathan Wakely <jwakely@redhat.com>
Date: Tue Jun 25 23:59:19 2024 +0100
libstdc++: Add script to update docs for a new release branch
This should be run on a release branch after branching from trunk.
Various links and references to trunk in the docs will be updated to
refer to the new release branch.
libstdc++-v3/ChangeLog:
* scripts/update_release_branch.sh: New file.
Diff:
---
libstdc++-v3/scripts/update_release_branch.sh | 14 ++++++++++++++
1 file changed, 14 insertions(+)
diff --git a/libstdc++-v3/scripts/update_release_branch.sh b/libstdc++-v3/scripts/update_release_branch.sh
new file mode 100755
index 00000000000..f8109ed0ba3
--- /dev/null
+++ b/libstdc++-v3/scripts/update_release_branch.sh
@@ -0,0 +1,14 @@
+#!/bin/bash
+
+# This should be run on a release branch after branching from trunk.
+# Various links and references to trunk in the docs will be updated to
+# refer to the new release branch.
+
+# The major version of the new release branch.
+major=$1
+(($major)) || { echo "$0: Integer argument expected" >& 2 ; exit 1; }
+
+# This assumes GNU sed
+sed -i "s@^mainline GCC, not in any particular major.\$@the GCC ${major} series.@" doc/xml/manual/status_cxx*.xml
+sed -i 's@https://gcc.gnu.org/cgit/gcc/tree/libstdc++-v3/testsuite/[^"]\+@&?h=releases%2Fgcc-'${major}@ doc/xml/manual/allocator.xml doc/xml/manual/mt_allocator.xml
+sed -i "s@https://gcc.gnu.org/onlinedocs/gcc/Invoking-GCC.html@https://gcc.gnu.org/onlinedocs/gcc-${major}.1.0/gcc/Invoking-GCC.html@" doc/xml/manual/using.xml
More information about the Gcc-cvs
mailing list